VST 3 Examples VST 3.7 SDK for developing VST plug-in

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
NoteTouchController Class Reference

`#include <note_touch_controller.h>`

Inheritance diagram for NoteTouchController:

## Public Member Functions
| NoteTouchController (int32_t pitch, Steinberg::Vst::IInterAppAudioHost *host)
void | setPitch (int32_t _pitch)
void | setHorizontalNoteExpType (int32_t type)
void | setVerticalNoteExpType (int32_t type)

## Protected Member Functions
void | controlBeginEdit (CControl *pControl) override
void | controlEndEdit (CControl *pControl) override
void | valueChanged (CControl *pControl) override
CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description) override
void | startNote (float velocity)
void | stopNote (float velocity)
void | sendNoteExpression (int32_t type, float value)

## Protected Attributes
Steinberg::Vst::IInterAppAudioHost * | host
CXYPad * | pad
CColor | originalPadBackgroundColor
int32_t | pitch
int32_t | noteID
int32_t | xNEType
int32_t | yNEType

## Constructor & Destructor Documentation

## ◆ NoteTouchController()

NoteTouchController | ( | int32_t | pitch,
|  | Steinberg::Vst::IInterAppAudioHost * | host
| ) |  |

## Member Function Documentation

## ◆ setPitch()

void setPitch | ( | int32_t | _pitch | ) |
| inline

## ◆ setHorizontalNoteExpType()

void setHorizontalNoteExpType | ( | int32_t | type | ) |
| inline

## ◆ setVerticalNoteExpType()

void setVerticalNoteExpType | ( | int32_t | type | ) |
| inline

## ◆ controlBeginEdit()

void controlBeginEdit | ( | CControl * | pControl | ) |
| override protected

## ◆ controlEndEdit()

void controlEndEdit | ( | CControl * | pControl | ) |
| override protected

## ◆ valueChanged()

void valueChanged | ( | CControl * | pControl | ) |
| override protected

## ◆ verifyView()

CView * verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| override protected

## ◆ startNote()

void startNote | ( | float | velocity | ) |
| protected

## ◆ stopNote()

void stopNote | ( | float | velocity | ) |
| protected

## ◆ sendNoteExpression()

void sendNoteExpression | ( | int32_t | type,
|  | float | value
| ) |  |
| protected

## Member Data Documentation

## ◆ host

Steinberg::Vst::IInterAppAudioHost* host
| protected

## ◆ pad

CXYPad* pad
| protected

## ◆ originalPadBackgroundColor

CColor originalPadBackgroundColor
| protected

## ◆ pitch

int32_t pitch
| protected

## ◆ noteID

int32_t noteID
| protected

## ◆ xNEType

int32_t xNEType
| protected

## ◆ yNEType

int32_t yNEType
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.